Bug 207476 - openldap init script fails to start ldap on fc6 test3
openldap init script fails to start ldap on fc6 test3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 07:55 EDT by digitek
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: openldap-2.3.27-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 05:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description digitek 2006-09-21 07:55:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.0.6) Gecko/20060728 Firefox/1.5.0.6

Description of problem:
line 124 [0] of the openldap init script [1] attempts to run the init function ation() to run slaptest [2].  One parameter in particular, $slaptestflags, has the option of being set to -u , or left empty in the script [1].  When $slaptest flags is left empty, and sh -x run on the init script [1], the action() function is passing an empty single quoted parameter [1.1] for the empty $slaptestflags variable.  This befuddles [3] slaptest and results in an error condition being returned to the init script [1], which causes the ldap initialization to come crashing down like Skylab.  One fix which appears to work is to remove the double quotes from around $slaptestflags and replace them instead with wiggly braces [4].  
        


[0] /etc/init.d/ldap

[1] if ! action $"Checking configuration files for $prog: " /sbin/runuser \
-m -s "$slaptest" -- "$user" "$slaptestflags"; then

[1.1] action 'Checking configuration files for slapd: ' /sbin/runuser -m -s /usr/sbin/slaptest -- ldap ''

[2] /usr/sbin/slaptest

[3] Checking configuration files for slapd:  usage: slaptest [-v] [-d debuglevel] [-f configfile] [-F configdir] [-u]
                                                           [FAILED]
stale lock files may be present in /var/lib/ldap           [WARNING]


[4] if ! action $"Checking configuration files for $prog: " /sbin/runuser \
-m -s "$slaptest" -- "$user" ${slaptestflags}; then



Version-Release number of selected component (if applicable):
2.3.27-2

How reproducible:
Always


Steps to Reproduce:
1. install openldap-2.3.27-2 and friends on fc6test3
2. setup the /etc/openldap/slapd.conf file correctly
3. reboot

Actual Results:
Checking configuration files for slapd:  usage: slaptest [-v] [-d debuglevel] [-f configfile] [-F configdir] [-u]
                                                           [FAILED]
stale lock files may be present in /var/lib/ldap           [WARNING]


Expected Results:
config file testing succeeded
                                                           [  OK  ]
Starting slapd:                                            [  OK  ]


Additional info:
The problem may be in /etc/init.d/functions with the action() function.  It is strange that double quoting barficates initialization, while curly braces works ok.
Comment 1 Matthew Miller 2007-04-06 12:15:33 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 digitek 2007-04-08 08:12:13 EDT
This has been fixed in FC6
Comment 3 Jan Safranek 2007-05-21 05:15:54 EDT
Closing the bug - reporter confirms it's gone in current FC6

Note You need to log in before you can comment on or make changes to this bug.